DynAnyFactory (Java Platform SE 8 )
Keywords: org.omg.DynamicAny.DynAnyFactory interface
Date: 2017-01-22

org.omg.DynamicAny

## Interface DynAnyFactory

- All Superinterfaces:
    DynAnyFactoryOperations, IDLEntity, Object, Serializable
  All Known Implementing Classes:
    _DynAnyFactoryStub

      public interface DynAnyFactory
      extends DynAnyFactoryOperations, Object, IDLEntity

  DynAny objects can be created by invoking operations on the DynAnyFactory object. Generally there are only two ways to create a DynAny object:
  - invoking an operation on an existing DynAny object
  - invoking an operation on a DynAnyFactory object
  A constructed DynAny object supports operations that enable the creation of new DynAny objects encapsulating access to the value of some constituent. DynAny objects also support the copy operation for creating new DynAny objects. A reference to the DynAnyFactory object is obtained by calling ORB.resolve_initial_references() with the identifier parameter set to the string constant "DynAnyFactory".

  Dynamic interpretation of an any usually involves creating a DynAny object using create_dyn_any() as the first step. Depending on the type of the any, the resulting DynAny object reference can be narrowed to a DynFixed, DynStruct, DynSequence, DynArray, DynUnion, DynEnum, or DynValue object reference.

  Dynamic creation of an any involves creating a DynAny object using create_dyn_any_from_type_code(), passing the TypeCode associated with the value to be created. The returned reference is narrowed to one of the complex types, such as DynStruct, if appropriate. Then, the value can be initialized by means of invoking operations on the resulting object. Finally, the to_any operation can be invoked to create an any value from the constructed DynAny.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.DynamicAny.DynAnyFactoryOperations

      `create_dyn_any_from_type_code, create_dyn_any`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.